from datetime import datetime
import calendar
from pandas_datareader.data import DataReader

now             = datetime.now()
prev_month      = 12 if now.month == 1 else now.month-1
prev_month_days = calendar.monthrange(now.year, prev_month)[1]

start_date = f"{now.year}-{prev_month:02d}-02"
end_date   = f"{now.year}-{prev_month:02d}-{prev_month_days}"

df = DataReader("GAIL.NS", 'yahoo', start_date, end_date)
print(f"{df['Close'].min():.2f}, {df['Close'].max():.2f}, {df['Close'].mean():.2f}")
